Package org.eclipse.rdf4j.spring.operationlog.log

## Class OperationLog

- java.lang.Object
- - org.eclipse.rdf4j.spring.operationlog.log.OperationLog

-     public class OperationLog
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationLog()` |
    `OperationLog​(OperationExecutionStatsConsumer statsConsumer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `runWithLog​(Operation operation, Runnable action)` |
    `<T> T` | `runWithLog​(Operation operation, Supplier<T> supplier)` |
    `void` | `runWithLog​(PseudoOperation operation, Runnable action)` |
    `<T> T` | `runWithLog​(PseudoOperation operation, Supplier<T> supplier)` |
    `void` | `setStatsConsumer​(OperationExecutionStatsConsumer statsConsumer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationLog

          public OperationLog​(OperationExecutionStatsConsumer statsConsumer)

    - #### OperationLog

          public OperationLog()

  - ### Method Detail

    - #### setStatsConsumer

          @Autowired(required=false)
          public void setStatsConsumer​(OperationExecutionStatsConsumer statsConsumer)

    - #### runWithLog

          public void runWithLog​(Operation operation,
                                 Runnable action)

    - #### runWithLog

          public <T> T runWithLog​(Operation operation,
                                  Supplier<T> supplier)

    - #### runWithLog

          public void runWithLog​(PseudoOperation operation,
                                 Runnable action)

    - #### runWithLog

          public <T> T runWithLog​(PseudoOperation operation,
                                  Supplier<T> supplier)